.\" @(#) $Name: cflowd-2-1-b1 $ $Id: cfdnets.man.in,v 1.4 1999/01/22 02:05:29 dwm Exp $
.TH cfdnets l LOCAL
.SH NAME
cfdnets \- utility to display current net matrix data in cflowd
.SH SYNOPSIS
cfdnets [-s srcNet/masklen] [-d dstNet/masklen] [-t] [-c configfile] routerIpAddr [ifIndex]
.SH DESCRIPTION
.I cfdnets
is used to display current net matrix data in cflowd running on the local
host.
.SH REQUIRED ARGUMENTS
.IP "\fBrouterIpAddr"
You must specify a \fIrouterIpAddr\fR on the command line.  This
determines which router's net matrix data will be shown.  You may only 
show a single router's net matrix data.
.SH OPTIONS
.IP "\fB-s srcNet/masklen"
The \fI-s srcNet/masklen\fR option will cause only entries with a source
network address equal to \fIsrcNet\fR and a source netmask length of 
\fImasklen\fR (or greater) to be shown.
.IP "\fB-d dstNet/masklen"
The \fI-s dstNet/masklen\fR option will cause only entries with a destination
network address equal to \fIdstNet\fR and a destination netmask length of 
\fImasklen\fR (or greater) to be shown.
.IP "\fB-v"
The \fI-v\fR option causes \fIcfdnets\fR to print version information
and exit immediately.
.IP "\fB-t"
By default, \fIcfdnets\fR will show packets/sec and bits/sec for the
source/destination network pairs.  By using the \fB-t\fR option, you can
see the total pkts and bytes for each source/destination network pair.
.IP "\fB-c configfile"
The \fI-c configfile\fR option can be used to specify a cflowd
configuration file.  If not specified, a compiled-in default will be
used.
.IP "\fBifIndex"
By default, \fIcfdnets\fR will show data for all input interfaces on
the router whose IP address is \fIrouterIpAddr\fR.  You may select
a particular interface by its ifIndex (from SNMP MIB-II) using the
\fIifIndex\fR after the \fIrouterIpAddr\fR on the command line.
.SH EXAMPLES
.IP "cfdnets 204.212.46.1 4"
.SH FILES
.IP "\fB/usr/local/arts/etc/cflowd.conf"
The compiled-in default cflowd configuration file.
.SH SEE ALSO
cflowd(l), cflowdmux(l), cfdases(l), cfdportmatrix(l), cfdifmatrix(l),
cfdprotos(l), cfdnexthops(l), cfdcollect(l)
.SH ACKNOWLEDGEMENTS
.IP "\fBcfdnets \fRand documentation written by:"

.br
Daniel W. McRobb
.br
CAIDA, September 1998
.SH RELEASE NAME
cflowd-2-1-b1
